# Uses of Class
ch.qos.logback.classic.Logger

Packages that use Logger
Package
Description
ch.qos.logback.classic
Contains logback classic main classes.
ch.qos.logback.classic.jmx
ch.qos.logback.classic.jul
Logback <-> java.util.logging (JUL) integration.
ch.qos.logback.classic.spi
Contains core classes of logback classic.
ch.qos.logback.classic.turbo

## Uses of Logger in ch.qos.logback.classic

Methods in ch.qos.logback.classic that return Logger
Modifier and Type
Method
Description
`Logger`
LoggerContext.`exists(String name)`
Check if the named logger exists in the hierarchy.
`final Logger`
LoggerContext.`getLogger(Class<?> clazz)`
`final Logger`
LoggerContext.`getLogger(String name)`
Methods in ch.qos.logback.classic that return types with arguments of type Logger
Modifier and Type
Method
Description
`List<Logger>`
LoggerContext.`getLoggerList()`

## Uses of Logger in ch.qos.logback.classic.jmx

Methods in ch.qos.logback.classic.jmx with parameters of type Logger
Modifier and Type
Method
Description
`void`
JMXConfigurator.`onLevelChange(Logger logger, Level level)`

## Uses of Logger in ch.qos.logback.classic.jul

Methods in ch.qos.logback.classic.jul with parameters of type Logger
Modifier and Type
Method
Description
`static Logger`
JULHelper.`asJULLogger(Logger logger)`
`void`
LevelChangePropagator.`onLevelChange(Logger logger, Level level)`

## Uses of Logger in ch.qos.logback.classic.spi

Methods in ch.qos.logback.classic.spi with parameters of type Logger
Modifier and Type
Method
Description
`int`
LoggerComparator.`compare(Logger l1, Logger l2)`
`FilterReply`
TurboFilterList.`getTurboFilterChainDecision(org.slf4j.Marker marker, Logger logger, Level level, String format, Object[] params, Throwable t)`
Loop through the filters in the chain.
`void`
LoggerContextListener.`onLevelChange(Logger logger, Level level)`
Constructors in ch.qos.logback.classic.spi with parameters of type Logger
Modifier
Constructor
Description
``
`LoggingEvent(String fqcn, Logger logger, Level level, String message, Throwable throwable, Object[] argArray)`

## Uses of Logger in ch.qos.logback.classic.turbo

Methods in ch.qos.logback.classic.turbo with parameters of type Logger
Modifier and Type
Method
Description
`FilterReply`
DuplicateMessageFilter.`decide(org.slf4j.Marker marker, Logger logger, Level level, String format, Object[] params, Throwable t)`
`FilterReply`
DynamicThresholdFilter.`decide(org.slf4j.Marker marker, Logger logger, Level level, String s, Object[] objects, Throwable throwable)`
This method first finds the MDC value for 'key'.
`FilterReply`
MarkerFilter.`decide(org.slf4j.Marker marker, Logger logger, Level level, String format, Object[] params, Throwable t)`
`FilterReply`
MDCFilter.`decide(org.slf4j.Marker marker, Logger logger, Level level, String format, Object[] params, Throwable t)`
`FilterReply`
ReconfigureOnChangeFilter.`decide(org.slf4j.Marker marker, Logger logger, Level level, String format, Object[] params, Throwable t)`
`abstract FilterReply`
TurboFilter.`decide(org.slf4j.Marker marker, Logger logger, Level level, String format, Object[] params, Throwable t)`
Make a decision based on the multiple parameters passed as arguments.